Package org.apache.ignite.internal.managers.systemview.walker

## Class BaselineNodeAttributeViewWalker

- java.lang.Object
- - org.apache.ignite.internal.managers.systemview.walker.BaselineNodeAttributeViewWalker

All Implemented Interfaces:
  `SystemViewRowAttributeWalker<BaselineNodeAttributeView>`

    public class BaselineNodeAttributeViewWalker
    extends Object
    implements SystemViewRowAttributeWalker<BaselineNodeAttributeView>

Generated by `org.apache.ignite.codegen.SystemViewRowAttributeWalkerGenerator`. `BaselineNodeAttributeView` attributes walker.

See Also:
  `BaselineNodeAttributeView`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.spi.systemview.view.SystemViewRowAttributeWalker

`SystemViewRowAttributeWalker.AttributeVisitor, SystemViewRowAttributeWalker.AttributeWithValueVisitor`

### Field Summary

Fields
`static String` `NAME_FILTER` Filter key for attribute "name"
`static String` `NODE_CONSISTENT_ID_FILTER` Filter key for attribute "nodeConsistentId"

### Constructor Summary

Constructors
`BaselineNodeAttributeViewWalker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `count()`
`List<String>` `filtrableAttributes()`
`void` `visitAll​(BaselineNodeAttributeView row, SystemViewRowAttributeWalker.AttributeWithValueVisitor v)` Calls visitor for each row attribute.
`void` `visitAll​(SystemViewRowAttributeWalker.AttributeVisitor v)` Calls visitor for each row attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NODE_CONSISTENT_ID_FILTER

    public static final String NODE_CONSISTENT_ID_FILTER

Filter key for attribute "nodeConsistentId"

See Also:
  Constant Field Values

#### NAME_FILTER

    public static final String NAME_FILTER

Filter key for attribute "name"

See Also:
  Constant Field Values

### Constructor Detail

#### BaselineNodeAttributeViewWalker

    public BaselineNodeAttributeViewWalker()

### Method Detail

#### filtrableAttributes

    public List<String> filtrableAttributes()

Specified by:
  `filtrableAttributes` in interface `SystemViewRowAttributeWalker<BaselineNodeAttributeView>`
Returns:
  List of filtrable attributes for this system view.

#### visitAll

    public void visitAll​(SystemViewRowAttributeWalker.AttributeVisitor v)

Calls visitor for each row attribute.

Specified by:
  `visitAll` in interface `SystemViewRowAttributeWalker<BaselineNodeAttributeView>`
Parameters:
  `v` - Attribute visitor.

#### visitAll

    public void visitAll​(BaselineNodeAttributeView row,
                         SystemViewRowAttributeWalker.AttributeWithValueVisitor v)

Calls visitor for each row attribute. Value of the attribute also provided.

Specified by:
  `visitAll` in interface `SystemViewRowAttributeWalker<BaselineNodeAttributeView>`
Parameters:
  `row` - Row to iterate.
  `v` - Attribute visitor.

#### count

    public int count()

Specified by:
  `count` in interface `SystemViewRowAttributeWalker<BaselineNodeAttributeView>`
Returns:
  Count of a row properties.